comparison configure @ 94119:5b10e5646973

* configure.in (SYNC_INPUT): Use OPTION_DEFAULT_ON and AC_DEFINE rather than change CPPFLAGS. (HAVE_GTK): Rename to USE_GTK. * Makefile.in: Don't use HAVE_GTK and don't -DUSE_GTK since it's now done in config.h.
author Stefan Monnier <monnier@iro.umontreal.ca>
date Wed, 16 Apr 2008 19:53:06 +0000
parents 4a2fb96d5195
children dfdc13740582
comparison
equal deleted inserted replaced
94118:75036e17da20 94119:5b10e5646973
575 PACKAGE_VERSION='23.0.60' 575 PACKAGE_VERSION='23.0.60'
576 PACKAGE_STRING='emacs 23.0.60' 576 PACKAGE_STRING='emacs 23.0.60'
577 PACKAGE_BUGREPORT='' 577 PACKAGE_BUGREPORT=''
578 578
579 ac_unique_file="src/lisp.h" 579 ac_unique_file="src/lisp.h"
580 ac_config_libobj_dir=src
581 # Factoring default headers for most tests. 580 # Factoring default headers for most tests.
582 ac_includes_default="\ 581 ac_includes_default="\
583 #include <stdio.h> 582 #include <stdio.h>
584 #ifdef HAVE_SYS_TYPES_H 583 #ifdef HAVE_SYS_TYPES_H
585 # include <sys/types.h> 584 # include <sys/types.h>
612 #endif 611 #endif
613 #ifdef HAVE_UNISTD_H 612 #ifdef HAVE_UNISTD_H
614 # include <unistd.h> 613 # include <unistd.h>
615 #endif" 614 #endif"
616 615
616 ac_config_libobj_dir=src
617 ac_header_list= 617 ac_header_list=
618 ac_func_list= 618 ac_func_list=
619 ac_subst_vars='SHELL 619 ac_subst_vars='SHELL
620 PATH_SEPARATOR 620 PATH_SEPARATOR
621 PACKAGE_NAME 621 PACKAGE_NAME
1331 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1331 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1332 --enable-carbon-app[=DIR] 1332 --enable-carbon-app[=DIR]
1333 specify install directory for Emacs.app on Mac OS X 1333 specify install directory for Emacs.app on Mac OS X
1334 [DIR=/Application] 1334 [DIR=/Application]
1335 --disable-font-backend don't compile font-backend support 1335 --disable-font-backend don't compile font-backend support
1336 --disable-sync-input don't compile code with sync-input
1337 --enable-asserts compile code with asserts enabled 1336 --enable-asserts compile code with asserts enabled
1338 --enable-maintainer-mode 1337 --enable-maintainer-mode
1339 enable make rules and dependencies not useful (and 1338 enable make rules and dependencies not useful (and
1340 sometimes confusing) to the casual installer 1339 sometimes confusing) to the casual installer
1341 --enable-locallisppath=PATH 1340 --enable-locallisppath=PATH
1349 --without-pop don't support POP mail retrieval with movemail 1348 --without-pop don't support POP mail retrieval with movemail
1350 --with-kerberos support Kerberos-authenticated POP 1349 --with-kerberos support Kerberos-authenticated POP
1351 --with-kerberos5 support Kerberos version 5 authenticated POP 1350 --with-kerberos5 support Kerberos version 5 authenticated POP
1352 --with-hesiod support Hesiod to get the POP server host 1351 --with-hesiod support Hesiod to get the POP server host
1353 --without-sound don't compile with sound support 1352 --without-sound don't compile with sound support
1353 --without-sync-input Process async input synchronously
1354 --with-x-toolkit=KIT use an X toolkit (KIT one of: yes, lucid, athena, 1354 --with-x-toolkit=KIT use an X toolkit (KIT one of: yes, lucid, athena,
1355 motif, gtk, no) 1355 motif, gtk, no)
1356 --without-xpm don't compile with XPM image support 1356 --without-xpm don't compile with XPM image support
1357 --without-jpeg don't compile with JPEG image support 1357 --without-jpeg don't compile with JPEG image support
1358 --without-tiff don't compile with TIFF image support 1358 --without-tiff don't compile with TIFF image support
1930 with_sound=yes 1930 with_sound=yes
1931 fi 1931 fi
1932 1932
1933 1933
1934 1934
1935 # Check whether --with-sync-input was given.
1936 if test "${with_sync_input+set}" = set; then
1937 withval=$with_sync_input;
1938 else
1939 with_sync_input=yes
1940 fi
1941
1942 if test "$with_sync_input" = yes; then
1943
1944 cat >>confdefs.h <<\_ACEOF
1945 #define SYNC_INPUT 1
1946 _ACEOF
1947
1948 fi
1949
1950
1935 # Check whether --with-x-toolkit was given. 1951 # Check whether --with-x-toolkit was given.
1936 if test "${with_x_toolkit+set}" = set; then 1952 if test "${with_x_toolkit+set}" = set; then
1937 withval=$with_x_toolkit; case "${withval}" in 1953 withval=$with_x_toolkit; case "${withval}" in
1938 y | ye | yes ) val=gtk ;; 1954 y | ye | yes ) val=gtk ;;
1939 n | no ) val=no ;; 1955 n | no ) val=no ;;
2132 # Check whether --enable-font-backend was given. 2148 # Check whether --enable-font-backend was given.
2133 if test "${enable_font_backend+set}" = set; then 2149 if test "${enable_font_backend+set}" = set; then
2134 enableval=$enable_font_backend; USE_FONT_BACKEND=$enableval 2150 enableval=$enable_font_backend; USE_FONT_BACKEND=$enableval
2135 else 2151 else
2136 USE_FONT_BACKEND=yes 2152 USE_FONT_BACKEND=yes
2137 fi
2138
2139
2140 ## Enabled by default.
2141 # Check whether --enable-sync-input was given.
2142 if test "${enable_sync_input+set}" = set; then
2143 enableval=$enable_sync_input; USE_SYNC_INPUT=$enableval
2144 else
2145 USE_SYNC_INPUT=yes
2146 fi 2153 fi
2147 2154
2148 2155
2149 # Check whether --enable-asserts was given. 2156 # Check whether --enable-asserts was given.
2150 if test "${enable_asserts+set}" = set; then 2157 if test "${enable_asserts+set}" = set; then
3900 if test x$GCC = x && test "x$NON_GCC_TEST_OPTIONS" != x 3907 if test x$GCC = x && test "x$NON_GCC_TEST_OPTIONS" != x
3901 then 3908 then
3902 CC="$CC $NON_GCC_TEST_OPTIONS" 3909 CC="$CC $NON_GCC_TEST_OPTIONS"
3903 fi 3910 fi
3904 3911
3912
3913 cat >>confdefs.h <<\_ACEOF
3914 #define _GNU_SOURCE 1
3915 _ACEOF
3916
3917
3905 ac_ext=c 3918 ac_ext=c
3906 ac_cpp='$CPP $CPPFLAGS' 3919 ac_cpp='$CPP $CPPFLAGS'
3907 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3920 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3908 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 3921 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3909 ac_compiler_gnu=$ac_cv_c_compiler_gnu 3922 ac_compiler_gnu=$ac_cv_c_compiler_gnu
4322 echo "${ECHO_T}no" >&6; } 4335 echo "${ECHO_T}no" >&6; }
4323 fi 4336 fi
4324 rm -f conftest* 4337 rm -f conftest*
4325 4338
4326 4339
4340 { echo "$as_me:$LINENO: checking for ANSI C header files" >&5
4341 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
4342 if test "${ac_cv_header_stdc+set}" = set; then
4343 echo $ECHO_N "(cached) $ECHO_C" >&6
4344 else
4345 cat >conftest.$ac_ext <<_ACEOF
4346 /* confdefs.h. */
4347 _ACEOF
4348 cat confdefs.h >>conftest.$ac_ext
4349 cat >>conftest.$ac_ext <<_ACEOF
4350 /* end confdefs.h. */
4351 #include <stdlib.h>
4352 #include <stdarg.h>
4353 #include <string.h>
4354 #include <float.h>
4355
4356 int
4357 main ()
4358 {
4359
4360 ;
4361 return 0;
4362 }
4363 _ACEOF
4364 rm -f conftest.$ac_objext
4365 if { (ac_try="$ac_compile"
4366 case "(($ac_try" in
4367 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4368 *) ac_try_echo=$ac_try;;
4369 esac
4370 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4371 (eval "$ac_compile") 2>conftest.er1
4372 ac_status=$?
4373 grep -v '^ *+' conftest.er1 >conftest.err
4374 rm -f conftest.er1
4375 cat conftest.err >&5
4376 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4377 (exit $ac_status); } && {
4378 test -z "$ac_c_werror_flag" ||
4379 test ! -s conftest.err
4380 } && test -s conftest.$ac_objext; then
4381 ac_cv_header_stdc=yes
4382 else
4383 echo "$as_me: failed program was:" >&5
4384 sed 's/^/| /' conftest.$ac_ext >&5
4385
4386 ac_cv_header_stdc=no
4387 fi
4388
4389 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4390
4391 if test $ac_cv_header_stdc = yes; then
4392 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
4393 cat >conftest.$ac_ext <<_ACEOF
4394 /* confdefs.h. */
4395 _ACEOF
4396 cat confdefs.h >>conftest.$ac_ext
4397 cat >>conftest.$ac_ext <<_ACEOF
4398 /* end confdefs.h. */
4399 #include <string.h>
4400
4401 _ACEOF
4402 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4403 $EGREP "memchr" >/dev/null 2>&1; then
4404 :
4405 else
4406 ac_cv_header_stdc=no
4407 fi
4408 rm -f conftest*
4409
4410 fi
4411
4412 if test $ac_cv_header_stdc = yes; then
4413 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
4414 cat >conftest.$ac_ext <<_ACEOF
4415 /* confdefs.h. */
4416 _ACEOF
4417 cat confdefs.h >>conftest.$ac_ext
4418 cat >>conftest.$ac_ext <<_ACEOF
4419 /* end confdefs.h. */
4420 #include <stdlib.h>
4421
4422 _ACEOF
4423 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4424 $EGREP "free" >/dev/null 2>&1; then
4425 :
4426 else
4427 ac_cv_header_stdc=no
4428 fi
4429 rm -f conftest*
4430
4431 fi
4432
4433 if test $ac_cv_header_stdc = yes; then
4434 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
4435 if test "$cross_compiling" = yes; then
4436 :
4437 else
4438 cat >conftest.$ac_ext <<_ACEOF
4439 /* confdefs.h. */
4440 _ACEOF
4441 cat confdefs.h >>conftest.$ac_ext
4442 cat >>conftest.$ac_ext <<_ACEOF
4443 /* end confdefs.h. */
4444 #include <ctype.h>
4445 #include <stdlib.h>
4446 #if ((' ' & 0x0FF) == 0x020)
4447 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
4448 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
4449 #else
4450 # define ISLOWER(c) \
4451 (('a' <= (c) && (c) <= 'i') \
4452 || ('j' <= (c) && (c) <= 'r') \
4453 || ('s' <= (c) && (c) <= 'z'))
4454 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
4455 #endif
4456
4457 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
4458 int
4459 main ()
4460 {
4461 int i;
4462 for (i = 0; i < 256; i++)
4463 if (XOR (islower (i), ISLOWER (i))
4464 || toupper (i) != TOUPPER (i))
4465 return 2;
4466 return 0;
4467 }
4468 _ACEOF
4469 rm -f conftest$ac_exeext
4470 if { (ac_try="$ac_link"
4471 case "(($ac_try" in
4472 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4473 *) ac_try_echo=$ac_try;;
4474 esac
4475 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4476 (eval "$ac_link") 2>&5
4477 ac_status=$?
4478 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4479 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4480 { (case "(($ac_try" in
4481 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4482 *) ac_try_echo=$ac_try;;
4483 esac
4484 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4485 (eval "$ac_try") 2>&5
4486 ac_status=$?
4487 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4488 (exit $ac_status); }; }; then
4489 :
4490 else
4491 echo "$as_me: program exited with status $ac_status" >&5
4492 echo "$as_me: failed program was:" >&5
4493 sed 's/^/| /' conftest.$ac_ext >&5
4494
4495 ( exit $ac_status )
4496 ac_cv_header_stdc=no
4497 fi
4498 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4499 fi
4500
4501
4502 fi
4503 fi
4504 { echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
4505 echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
4506 if test $ac_cv_header_stdc = yes; then
4327 4507
4328 cat >>confdefs.h <<\_ACEOF 4508 cat >>confdefs.h <<\_ACEOF
4329 #define _GNU_SOURCE 1 4509 #define STDC_HEADERS 1
4510 _ACEOF
4511
4512 fi
4513
4514 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
4515
4516
4517
4518
4519
4520
4521
4522
4523
4524 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
4525 inttypes.h stdint.h unistd.h
4526 do
4527 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4528 { echo "$as_me:$LINENO: checking for $ac_header" >&5
4529 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
4530 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
4531 echo $ECHO_N "(cached) $ECHO_C" >&6
4532 else
4533 cat >conftest.$ac_ext <<_ACEOF
4534 /* confdefs.h. */
4535 _ACEOF
4536 cat confdefs.h >>conftest.$ac_ext
4537 cat >>conftest.$ac_ext <<_ACEOF
4538 /* end confdefs.h. */
4539 $ac_includes_default
4540
4541 #include <$ac_header>
4542 _ACEOF
4543 rm -f conftest.$ac_objext
4544 if { (ac_try="$ac_compile"
4545 case "(($ac_try" in
4546 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4547 *) ac_try_echo=$ac_try;;
4548 esac
4549 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4550 (eval "$ac_compile") 2>conftest.er1
4551 ac_status=$?
4552 grep -v '^ *+' conftest.er1 >conftest.err
4553 rm -f conftest.er1
4554 cat conftest.err >&5
4555 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4556 (exit $ac_status); } && {
4557 test -z "$ac_c_werror_flag" ||
4558 test ! -s conftest.err
4559 } && test -s conftest.$ac_objext; then
4560 eval "$as_ac_Header=yes"
4561 else
4562 echo "$as_me: failed program was:" >&5
4563 sed 's/^/| /' conftest.$ac_ext >&5
4564
4565 eval "$as_ac_Header=no"
4566 fi
4567
4568 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4569 fi
4570 ac_res=`eval echo '${'$as_ac_Header'}'`
4571 { echo "$as_me:$LINENO: result: $ac_res" >&5
4572 echo "${ECHO_T}$ac_res" >&6; }
4573 if test `eval echo '${'$as_ac_Header'}'` = yes; then
4574 cat >>confdefs.h <<_ACEOF
4575 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4576 _ACEOF
4577
4578 fi
4579
4580 done
4581
4582
4583 if test "${ac_cv_header_minix_config_h+set}" = set; then
4584 { echo "$as_me:$LINENO: checking for minix/config.h" >&5
4585 echo $ECHO_N "checking for minix/config.h... $ECHO_C" >&6; }
4586 if test "${ac_cv_header_minix_config_h+set}" = set; then
4587 echo $ECHO_N "(cached) $ECHO_C" >&6
4588 fi
4589 { echo "$as_me:$LINENO: result: $ac_cv_header_minix_config_h" >&5
4590 echo "${ECHO_T}$ac_cv_header_minix_config_h" >&6; }
4591 else
4592 # Is the header compilable?
4593 { echo "$as_me:$LINENO: checking minix/config.h usability" >&5
4594 echo $ECHO_N "checking minix/config.h usability... $ECHO_C" >&6; }
4595 cat >conftest.$ac_ext <<_ACEOF
4596 /* confdefs.h. */
4597 _ACEOF
4598 cat confdefs.h >>conftest.$ac_ext
4599 cat >>conftest.$ac_ext <<_ACEOF
4600 /* end confdefs.h. */
4601 $ac_includes_default
4602 #include <minix/config.h>
4603 _ACEOF
4604 rm -f conftest.$ac_objext
4605 if { (ac_try="$ac_compile"
4606 case "(($ac_try" in
4607 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4608 *) ac_try_echo=$ac_try;;
4609 esac
4610 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4611 (eval "$ac_compile") 2>conftest.er1
4612 ac_status=$?
4613 grep -v '^ *+' conftest.er1 >conftest.err
4614 rm -f conftest.er1
4615 cat conftest.err >&5
4616 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4617 (exit $ac_status); } && {
4618 test -z "$ac_c_werror_flag" ||
4619 test ! -s conftest.err
4620 } && test -s conftest.$ac_objext; then
4621 ac_header_compiler=yes
4622 else
4623 echo "$as_me: failed program was:" >&5
4624 sed 's/^/| /' conftest.$ac_ext >&5
4625
4626 ac_header_compiler=no
4627 fi
4628
4629 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4630 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
4631 echo "${ECHO_T}$ac_header_compiler" >&6; }
4632
4633 # Is the header present?
4634 { echo "$as_me:$LINENO: checking minix/config.h presence" >&5
4635 echo $ECHO_N "checking minix/config.h presence... $ECHO_C" >&6; }
4636 cat >conftest.$ac_ext <<_ACEOF
4637 /* confdefs.h. */
4638 _ACEOF
4639 cat confdefs.h >>conftest.$ac_ext
4640 cat >>conftest.$ac_ext <<_ACEOF
4641 /* end confdefs.h. */
4642 #include <minix/config.h>
4643 _ACEOF
4644 if { (ac_try="$ac_cpp conftest.$ac_ext"
4645 case "(($ac_try" in
4646 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4647 *) ac_try_echo=$ac_try;;
4648 esac
4649 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4650 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
4651 ac_status=$?
4652 grep -v '^ *+' conftest.er1 >conftest.err
4653 rm -f conftest.er1
4654 cat conftest.err >&5
4655 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4656 (exit $ac_status); } >/dev/null && {
4657 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
4658 test ! -s conftest.err
4659 }; then
4660 ac_header_preproc=yes
4661 else
4662 echo "$as_me: failed program was:" >&5
4663 sed 's/^/| /' conftest.$ac_ext >&5
4664
4665 ac_header_preproc=no
4666 fi
4667
4668 rm -f conftest.err conftest.$ac_ext
4669 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
4670 echo "${ECHO_T}$ac_header_preproc" >&6; }
4671
4672 # So? What about this header?
4673 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
4674 yes:no: )
4675 { echo "$as_me:$LINENO: WARNING: minix/config.h: accepted by the compiler, rejected by the preprocessor!" >&5
4676 echo "$as_me: WARNING: minix/config.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
4677 { echo "$as_me:$LINENO: WARNING: minix/config.h: proceeding with the compiler's result" >&5
4678 echo "$as_me: WARNING: minix/config.h: proceeding with the compiler's result" >&2;}
4679 ac_header_preproc=yes
4680 ;;
4681 no:yes:* )
4682 { echo "$as_me:$LINENO: WARNING: minix/config.h: present but cannot be compiled" >&5
4683 echo "$as_me: WARNING: minix/config.h: present but cannot be compiled" >&2;}
4684 { echo "$as_me:$LINENO: WARNING: minix/config.h: check for missing prerequisite headers?" >&5
4685 echo "$as_me: WARNING: minix/config.h: check for missing prerequisite headers?" >&2;}
4686 { echo "$as_me:$LINENO: WARNING: minix/config.h: see the Autoconf documentation" >&5
4687 echo "$as_me: WARNING: minix/config.h: see the Autoconf documentation" >&2;}
4688 { echo "$as_me:$LINENO: WARNING: minix/config.h: section \"Present But Cannot Be Compiled\"" >&5
4689 echo "$as_me: WARNING: minix/config.h: section \"Present But Cannot Be Compiled\"" >&2;}
4690 { echo "$as_me:$LINENO: WARNING: minix/config.h: proceeding with the preprocessor's result" >&5
4691 echo "$as_me: WARNING: minix/config.h: proceeding with the preprocessor's result" >&2;}
4692 { echo "$as_me:$LINENO: WARNING: minix/config.h: in the future, the compiler will take precedence" >&5
4693 echo "$as_me: WARNING: minix/config.h: in the future, the compiler will take precedence" >&2;}
4694
4695 ;;
4696 esac
4697 { echo "$as_me:$LINENO: checking for minix/config.h" >&5
4698 echo $ECHO_N "checking for minix/config.h... $ECHO_C" >&6; }
4699 if test "${ac_cv_header_minix_config_h+set}" = set; then
4700 echo $ECHO_N "(cached) $ECHO_C" >&6
4701 else
4702 ac_cv_header_minix_config_h=$ac_header_preproc
4703 fi
4704 { echo "$as_me:$LINENO: result: $ac_cv_header_minix_config_h" >&5
4705 echo "${ECHO_T}$ac_cv_header_minix_config_h" >&6; }
4706
4707 fi
4708 if test $ac_cv_header_minix_config_h = yes; then
4709 MINIX=yes
4710 else
4711 MINIX=
4712 fi
4713
4714
4715 if test "$MINIX" = yes; then
4716
4717 cat >>confdefs.h <<\_ACEOF
4718 #define _POSIX_SOURCE 1
4719 _ACEOF
4720
4721
4722 cat >>confdefs.h <<\_ACEOF
4723 #define _POSIX_1_SOURCE 2
4724 _ACEOF
4725
4726
4727 cat >>confdefs.h <<\_ACEOF
4728 #define _MINIX 1
4729 _ACEOF
4730
4731 fi
4732
4733
4734
4735
4736
4737
4738
4739
4740
4741
4742
4743 { echo "$as_me:$LINENO: checking whether it is safe to define __EXTENSIONS__" >&5
4744 echo $ECHO_N "checking whether it is safe to define __EXTENSIONS__... $ECHO_C" >&6; }
4745 if test "${ac_cv_safe_to_define___extensions__+set}" = set; then
4746 echo $ECHO_N "(cached) $ECHO_C" >&6
4747 else
4748 cat >conftest.$ac_ext <<_ACEOF
4749 /* confdefs.h. */
4750 _ACEOF
4751 cat confdefs.h >>conftest.$ac_ext
4752 cat >>conftest.$ac_ext <<_ACEOF
4753 /* end confdefs.h. */
4754
4755 # define __EXTENSIONS__ 1
4756 $ac_includes_default
4757 int
4758 main ()
4759 {
4760
4761 ;
4762 return 0;
4763 }
4764 _ACEOF
4765 rm -f conftest.$ac_objext
4766 if { (ac_try="$ac_compile"
4767 case "(($ac_try" in
4768 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4769 *) ac_try_echo=$ac_try;;
4770 esac
4771 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4772 (eval "$ac_compile") 2>conftest.er1
4773 ac_status=$?
4774 grep -v '^ *+' conftest.er1 >conftest.err
4775 rm -f conftest.er1
4776 cat conftest.err >&5
4777 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4778 (exit $ac_status); } && {
4779 test -z "$ac_c_werror_flag" ||
4780 test ! -s conftest.err
4781 } && test -s conftest.$ac_objext; then
4782 ac_cv_safe_to_define___extensions__=yes
4783 else
4784 echo "$as_me: failed program was:" >&5
4785 sed 's/^/| /' conftest.$ac_ext >&5
4786
4787 ac_cv_safe_to_define___extensions__=no
4788 fi
4789
4790 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4791 fi
4792 { echo "$as_me:$LINENO: result: $ac_cv_safe_to_define___extensions__" >&5
4793 echo "${ECHO_T}$ac_cv_safe_to_define___extensions__" >&6; }
4794 test $ac_cv_safe_to_define___extensions__ = yes &&
4795 cat >>confdefs.h <<\_ACEOF
4796 #define __EXTENSIONS__ 1
4797 _ACEOF
4798
4799 cat >>confdefs.h <<\_ACEOF
4800 #define _POSIX_PTHREAD_SEMANTICS 1
4801 _ACEOF
4802
4803 cat >>confdefs.h <<\_ACEOF
4804 #define _TANDEM_SOURCE 1
4330 _ACEOF 4805 _ACEOF
4331 4806
4332 4807
4333 4808
4334 ### Use -Wno-pointer-sign if the compiler supports it 4809 ### Use -Wno-pointer-sign if the compiler supports it
5595 6070
5596 6071
5597 6072
5598 if test "${with_sound}" != "no"; then 6073 if test "${with_sound}" != "no"; then
5599 # Sound support for GNU/Linux and the free BSDs. 6074 # Sound support for GNU/Linux and the free BSDs.
5600 { echo "$as_me:$LINENO: checking for ANSI C header files" >&5
5601 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
5602 if test "${ac_cv_header_stdc+set}" = set; then
5603 echo $ECHO_N "(cached) $ECHO_C" >&6
5604 else
5605 cat >conftest.$ac_ext <<_ACEOF
5606 /* confdefs.h. */
5607 _ACEOF
5608 cat confdefs.h >>conftest.$ac_ext
5609 cat >>conftest.$ac_ext <<_ACEOF
5610 /* end confdefs.h. */
5611 #include <stdlib.h>
5612 #include <stdarg.h>
5613 #include <string.h>
5614 #include <float.h>
5615
5616 int
5617 main ()
5618 {
5619
5620 ;
5621 return 0;
5622 }
5623 _ACEOF
5624 rm -f conftest.$ac_objext
5625 if { (ac_try="$ac_compile"
5626 case "(($ac_try" in
5627 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5628 *) ac_try_echo=$ac_try;;
5629 esac
5630 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5631 (eval "$ac_compile") 2>conftest.er1
5632 ac_status=$?
5633 grep -v '^ *+' conftest.er1 >conftest.err
5634 rm -f conftest.er1
5635 cat conftest.err >&5
5636 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5637 (exit $ac_status); } && {
5638 test -z "$ac_c_werror_flag" ||
5639 test ! -s conftest.err
5640 } && test -s conftest.$ac_objext; then
5641 ac_cv_header_stdc=yes
5642 else
5643 echo "$as_me: failed program was:" >&5
5644 sed 's/^/| /' conftest.$ac_ext >&5
5645
5646 ac_cv_header_stdc=no
5647 fi
5648
5649 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5650
5651 if test $ac_cv_header_stdc = yes; then
5652 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
5653 cat >conftest.$ac_ext <<_ACEOF
5654 /* confdefs.h. */
5655 _ACEOF
5656 cat confdefs.h >>conftest.$ac_ext
5657 cat >>conftest.$ac_ext <<_ACEOF
5658 /* end confdefs.h. */
5659 #include <string.h>
5660
5661 _ACEOF
5662 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5663 $EGREP "memchr" >/dev/null 2>&1; then
5664 :
5665 else
5666 ac_cv_header_stdc=no
5667 fi
5668 rm -f conftest*
5669
5670 fi
5671
5672 if test $ac_cv_header_stdc = yes; then
5673 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
5674 cat >conftest.$ac_ext <<_ACEOF
5675 /* confdefs.h. */
5676 _ACEOF
5677 cat confdefs.h >>conftest.$ac_ext
5678 cat >>conftest.$ac_ext <<_ACEOF
5679 /* end confdefs.h. */
5680 #include <stdlib.h>
5681
5682 _ACEOF
5683 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5684 $EGREP "free" >/dev/null 2>&1; then
5685 :
5686 else
5687 ac_cv_header_stdc=no
5688 fi
5689 rm -f conftest*
5690
5691 fi
5692
5693 if test $ac_cv_header_stdc = yes; then
5694 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
5695 if test "$cross_compiling" = yes; then
5696 :
5697 else
5698 cat >conftest.$ac_ext <<_ACEOF
5699 /* confdefs.h. */
5700 _ACEOF
5701 cat confdefs.h >>conftest.$ac_ext
5702 cat >>conftest.$ac_ext <<_ACEOF
5703 /* end confdefs.h. */
5704 #include <ctype.h>
5705 #include <stdlib.h>
5706 #if ((' ' & 0x0FF) == 0x020)
5707 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
5708 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
5709 #else
5710 # define ISLOWER(c) \
5711 (('a' <= (c) && (c) <= 'i') \
5712 || ('j' <= (c) && (c) <= 'r') \
5713 || ('s' <= (c) && (c) <= 'z'))
5714 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
5715 #endif
5716
5717 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
5718 int
5719 main ()
5720 {
5721 int i;
5722 for (i = 0; i < 256; i++)
5723 if (XOR (islower (i), ISLOWER (i))
5724 || toupper (i) != TOUPPER (i))
5725 return 2;
5726 return 0;
5727 }
5728 _ACEOF
5729 rm -f conftest$ac_exeext
5730 if { (ac_try="$ac_link"
5731 case "(($ac_try" in
5732 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5733 *) ac_try_echo=$ac_try;;
5734 esac
5735 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5736 (eval "$ac_link") 2>&5
5737 ac_status=$?
5738 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5739 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
5740 { (case "(($ac_try" in
5741 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5742 *) ac_try_echo=$ac_try;;
5743 esac
5744 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5745 (eval "$ac_try") 2>&5
5746 ac_status=$?
5747 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5748 (exit $ac_status); }; }; then
5749 :
5750 else
5751 echo "$as_me: program exited with status $ac_status" >&5
5752 echo "$as_me: failed program was:" >&5
5753 sed 's/^/| /' conftest.$ac_ext >&5
5754
5755 ( exit $ac_status )
5756 ac_cv_header_stdc=no
5757 fi
5758 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5759 fi
5760
5761
5762 fi
5763 fi
5764 { echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
5765 echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
5766 if test $ac_cv_header_stdc = yes; then
5767
5768 cat >>confdefs.h <<\_ACEOF
5769 #define STDC_HEADERS 1
5770 _ACEOF
5771
5772 fi
5773
5774 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
5775
5776
5777
5778
5779
5780
5781
5782
5783
5784 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
5785 inttypes.h stdint.h unistd.h
5786 do
5787 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5788 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5789 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5790 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5791 echo $ECHO_N "(cached) $ECHO_C" >&6
5792 else
5793 cat >conftest.$ac_ext <<_ACEOF
5794 /* confdefs.h. */
5795 _ACEOF
5796 cat confdefs.h >>conftest.$ac_ext
5797 cat >>conftest.$ac_ext <<_ACEOF
5798 /* end confdefs.h. */
5799 $ac_includes_default
5800
5801 #include <$ac_header>
5802 _ACEOF
5803 rm -f conftest.$ac_objext
5804 if { (ac_try="$ac_compile"
5805 case "(($ac_try" in
5806 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5807 *) ac_try_echo=$ac_try;;
5808 esac
5809 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5810 (eval "$ac_compile") 2>conftest.er1
5811 ac_status=$?
5812 grep -v '^ *+' conftest.er1 >conftest.err
5813 rm -f conftest.er1
5814 cat conftest.err >&5
5815 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5816 (exit $ac_status); } && {
5817 test -z "$ac_c_werror_flag" ||
5818 test ! -s conftest.err
5819 } && test -s conftest.$ac_objext; then
5820 eval "$as_ac_Header=yes"
5821 else
5822 echo "$as_me: failed program was:" >&5
5823 sed 's/^/| /' conftest.$ac_ext >&5
5824
5825 eval "$as_ac_Header=no"
5826 fi
5827
5828 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5829 fi
5830 ac_res=`eval echo '${'$as_ac_Header'}'`
5831 { echo "$as_me:$LINENO: result: $ac_res" >&5
5832 echo "${ECHO_T}$ac_res" >&6; }
5833 if test `eval echo '${'$as_ac_Header'}'` = yes; then
5834 cat >>confdefs.h <<_ACEOF
5835 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5836 _ACEOF
5837
5838 fi
5839
5840 done
5841
5842
5843 6075
5844 6076
5845 6077
5846 for ac_header in machine/soundcard.h sys/soundcard.h soundcard.h 6078 for ac_header in machine/soundcard.h sys/soundcard.h soundcard.h
5847 do 6079 do
10997 fi 11229 fi
10998 else 11230 else
10999 HAVE_GTK=yes 11231 HAVE_GTK=yes
11000 11232
11001 cat >>confdefs.h <<\_ACEOF 11233 cat >>confdefs.h <<\_ACEOF
11002 #define HAVE_GTK 1 11234 #define USE_GTK 1
11003 _ACEOF 11235 _ACEOF
11004 11236
11005 USE_X_TOOLKIT=none 11237 USE_X_TOOLKIT=none
11006 if $PKG_CONFIG --atleast-version=2.10 gtk+-2.0; then 11238 if $PKG_CONFIG --atleast-version=2.10 gtk+-2.0; then
11007 : 11239 :
18586 /* confdefs.h. */ 18818 /* confdefs.h. */
18587 _ACEOF 18819 _ACEOF
18588 cat confdefs.h >>conftest.$ac_ext 18820 cat confdefs.h >>conftest.$ac_ext
18589 cat >>conftest.$ac_ext <<_ACEOF 18821 cat >>conftest.$ac_ext <<_ACEOF
18590 /* end confdefs.h. */ 18822 /* end confdefs.h. */
18591 #include <stdio.h> 18823 #include <sys/types.h> /* for off_t */
18824 #include <stdio.h>
18592 int 18825 int
18593 main () 18826 main ()
18594 { 18827 {
18595 return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0); 18828 int (*fp) (FILE *, off_t, int) = fseeko;
18829 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
18596 ; 18830 ;
18597 return 0; 18831 return 0;
18598 } 18832 }
18599 _ACEOF 18833 _ACEOF
18600 rm -f conftest.$ac_objext conftest$ac_exeext 18834 rm -f conftest.$ac_objext conftest$ac_exeext
18630 _ACEOF 18864 _ACEOF
18631 cat confdefs.h >>conftest.$ac_ext 18865 cat confdefs.h >>conftest.$ac_ext
18632 cat >>conftest.$ac_ext <<_ACEOF 18866 cat >>conftest.$ac_ext <<_ACEOF
18633 /* end confdefs.h. */ 18867 /* end confdefs.h. */
18634 #define _LARGEFILE_SOURCE 1 18868 #define _LARGEFILE_SOURCE 1
18635 #include <stdio.h> 18869 #include <sys/types.h> /* for off_t */
18870 #include <stdio.h>
18636 int 18871 int
18637 main () 18872 main ()
18638 { 18873 {
18639 return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0); 18874 int (*fp) (FILE *, off_t, int) = fseeko;
18875 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
18640 ; 18876 ;
18641 return 0; 18877 return 0;
18642 } 18878 }
18643 _ACEOF 18879 _ACEOF
18644 rm -f conftest.$ac_objext conftest$ac_exeext 18880 rm -f conftest.$ac_objext conftest$ac_exeext
23914 echo 24150 echo
23915 24151
23916 if test $USE_XASSERTS = yes; then 24152 if test $USE_XASSERTS = yes; then
23917 echo " Compiling with asserts turned on." 24153 echo " Compiling with asserts turned on."
23918 CPPFLAGS="$CPPFLAGS -DXASSERTS=1" 24154 CPPFLAGS="$CPPFLAGS -DXASSERTS=1"
23919 fi
23920
23921 if test $USE_SYNC_INPUT = yes; then
23922 echo " Compiling with sync input."
23923 CPPFLAGS="$CPPFLAGS -DSYNC_INPUT=1"
23924 fi 24155 fi
23925 24156
23926 echo 24157 echo
23927 24158
23928 if test "$USE_X_TOOLKIT" = GTK; then 24159 if test "$USE_X_TOOLKIT" = GTK; then